Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 2627 in orxonox.OLD for orxonox/trunk


Ignore:
Timestamp:
Oct 22, 2004, 2:36:12 PM (20 years ago)
Author:
bensch
Message:

orxonox/trunk: deleted obsolete glut includings

Location:
orxonox/trunk
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • orxonox/trunk/config.h.in

    r2190 r2627  
    33/* Define to 1 if you have the `bzero' function. */
    44#undef HAVE_BZERO
    5 
    6 /* Define to 1 if you have the <GL/glut.h> header file. */
    7 #undef HAVE_GL_GLUT_H
    85
    96/* Define to 1 if you have the <GL/glu.h> header file. */
  • orxonox/trunk/configure

    r2190 r2627  
    17231723
    17241724
     1725
    17251726          ac_config_headers="$ac_config_headers config.h"
    17261727
     
    46004601fi
    46014602
    4602 
    4603 #  cheking for libglut32
    4604 
    4605 for ac_header in GL/glut.h
    4606 do
    4607 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
    4608 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    4609   echo "$as_me:$LINENO: checking for $ac_header" >&5
    4610 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    4611 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    4612   echo $ECHO_N "(cached) $ECHO_C" >&6
    4613 fi
    4614 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    4615 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    4616 else
    4617   # Is the header compilable?
    4618 echo "$as_me:$LINENO: checking $ac_header usability" >&5
    4619 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
    4620 cat >conftest.$ac_ext <<_ACEOF
    4621 /* confdefs.h.  */
    4622 _ACEOF
    4623 cat confdefs.h >>conftest.$ac_ext
    4624 cat >>conftest.$ac_ext <<_ACEOF
    4625 /* end confdefs.h.  */
    4626 $ac_includes_default
    4627 #include <$ac_header>
    4628 _ACEOF
    4629 rm -f conftest.$ac_objext
    4630 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    4631   (eval $ac_compile) 2>conftest.er1
    4632   ac_status=$?
    4633   grep -v '^ *+' conftest.er1 >conftest.err
    4634   rm -f conftest.er1
    4635   cat conftest.err >&5
    4636   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4637   (exit $ac_status); } &&
    4638          { ac_try='test -z "$ac_c_werror_flag"
    4639                          || test ! -s conftest.err'
    4640   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4641   (eval $ac_try) 2>&5
    4642   ac_status=$?
    4643   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4644   (exit $ac_status); }; } &&
    4645          { ac_try='test -s conftest.$ac_objext'
    4646   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4647   (eval $ac_try) 2>&5
    4648   ac_status=$?
    4649   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4650   (exit $ac_status); }; }; then
    4651   ac_header_compiler=yes
    4652 else
    4653   echo "$as_me: failed program was:" >&5
    4654 sed 's/^/| /' conftest.$ac_ext >&5
    4655 
    4656 ac_header_compiler=no
    4657 fi
    4658 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    4659 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
    4660 echo "${ECHO_T}$ac_header_compiler" >&6
    4661 
    4662 # Is the header present?
    4663 echo "$as_me:$LINENO: checking $ac_header presence" >&5
    4664 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
    4665 cat >conftest.$ac_ext <<_ACEOF
    4666 /* confdefs.h.  */
    4667 _ACEOF
    4668 cat confdefs.h >>conftest.$ac_ext
    4669 cat >>conftest.$ac_ext <<_ACEOF
    4670 /* end confdefs.h.  */
    4671 #include <$ac_header>
    4672 _ACEOF
    4673 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
    4674   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    4675   ac_status=$?
    4676   grep -v '^ *+' conftest.er1 >conftest.err
    4677   rm -f conftest.er1
    4678   cat conftest.err >&5
    4679   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4680   (exit $ac_status); } >/dev/null; then
    4681   if test -s conftest.err; then
    4682     ac_cpp_err=$ac_c_preproc_warn_flag
    4683     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
    4684   else
    4685     ac_cpp_err=
    4686   fi
    4687 else
    4688   ac_cpp_err=yes
    4689 fi
    4690 if test -z "$ac_cpp_err"; then
    4691   ac_header_preproc=yes
    4692 else
    4693   echo "$as_me: failed program was:" >&5
    4694 sed 's/^/| /' conftest.$ac_ext >&5
    4695 
    4696   ac_header_preproc=no
    4697 fi
    4698 rm -f conftest.err conftest.$ac_ext
    4699 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
    4700 echo "${ECHO_T}$ac_header_preproc" >&6
    4701 
    4702 # So?  What about this header?
    4703 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
    4704   yes:no: )
    4705     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
    4706 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
    4707     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
    4708 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
    4709     ac_header_preproc=yes
    4710     ;;
    4711   no:yes:* )
    4712     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
    4713 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
    4714     { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
    4715 echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
    4716     { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
    4717 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
    4718     { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
    4719 echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
    4720     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
    4721 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
    4722     { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
    4723 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
    4724     (
    4725       cat <<\_ASBOX
    4726 ## ------------------------------------------- ##
    4727 ## Report this to orxonox-dev@mail.datacore.ch ##
    4728 ## ------------------------------------------- ##
    4729 _ASBOX
    4730     ) |
    4731       sed "s/^/$as_me: WARNING:     /" >&2
    4732     ;;
    4733 esac
    4734 echo "$as_me:$LINENO: checking for $ac_header" >&5
    4735 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    4736 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    4737   echo $ECHO_N "(cached) $ECHO_C" >&6
    4738 else
    4739   eval "$as_ac_Header=\$ac_header_preproc"
    4740 fi
    4741 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    4742 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    4743 
    4744 fi
    4745 if test `eval echo '${'$as_ac_Header'}'` = yes; then
    4746   cat >>confdefs.h <<_ACEOF
    4747 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    4748 _ACEOF
    4749 
    4750 else
    4751   { { echo "$as_me:$LINENO: error: cannot find glut headers" >&5
    4752 echo "$as_me: error: cannot find glut headers" >&2;}
    4753    { (exit 1); exit 1; }; }
    4754 fi
    4755 
    4756 done
    4757 
    4758 echo "$as_me:$LINENO: checking for glutInit in -lglut" >&5
    4759 echo $ECHO_N "checking for glutInit in -lglut... $ECHO_C" >&6
    4760 if test "${ac_cv_lib_glut_glutInit+set}" = set; then
    4761   echo $ECHO_N "(cached) $ECHO_C" >&6
    4762 else
    4763   ac_check_lib_save_LIBS=$LIBS
    4764 LIBS="-lglut  $LIBS"
    4765 cat >conftest.$ac_ext <<_ACEOF
    4766 /* confdefs.h.  */
    4767 _ACEOF
    4768 cat confdefs.h >>conftest.$ac_ext
    4769 cat >>conftest.$ac_ext <<_ACEOF
    4770 /* end confdefs.h.  */
    4771 
    4772 /* Override any gcc2 internal prototype to avoid an error.  */
    4773 #ifdef __cplusplus
    4774 extern "C"
    4775 #endif
    4776 /* We use char because int might match the return type of a gcc2
    4777    builtin and then its argument prototype would still apply.  */
    4778 char glutInit ();
    4779 int
    4780 main ()
    4781 {
    4782 glutInit ();
    4783   ;
    4784   return 0;
    4785 }
    4786 _ACEOF
    4787 rm -f conftest.$ac_objext conftest$ac_exeext
    4788 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4789   (eval $ac_link) 2>conftest.er1
    4790   ac_status=$?
    4791   grep -v '^ *+' conftest.er1 >conftest.err
    4792   rm -f conftest.er1
    4793   cat conftest.err >&5
    4794   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4795   (exit $ac_status); } &&
    4796          { ac_try='test -z "$ac_c_werror_flag"
    4797                          || test ! -s conftest.err'
    4798   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4799   (eval $ac_try) 2>&5
    4800   ac_status=$?
    4801   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4802   (exit $ac_status); }; } &&
    4803          { ac_try='test -s conftest$ac_exeext'
    4804   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4805   (eval $ac_try) 2>&5
    4806   ac_status=$?
    4807   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4808   (exit $ac_status); }; }; then
    4809   ac_cv_lib_glut_glutInit=yes
    4810 else
    4811   echo "$as_me: failed program was:" >&5
    4812 sed 's/^/| /' conftest.$ac_ext >&5
    4813 
    4814 ac_cv_lib_glut_glutInit=no
    4815 fi
    4816 rm -f conftest.err conftest.$ac_objext \
    4817       conftest$ac_exeext conftest.$ac_ext
    4818 LIBS=$ac_check_lib_save_LIBS
    4819 fi
    4820 echo "$as_me:$LINENO: result: $ac_cv_lib_glut_glutInit" >&5
    4821 echo "${ECHO_T}$ac_cv_lib_glut_glutInit" >&6
    4822 if test $ac_cv_lib_glut_glutInit = yes; then
    4823   FOUND_glut=yes
    4824 fi
    4825 
    4826 if test "$FOUND_glut" = "yes" ; then
    4827     LIBS="$LIBS -lglut"
    4828     #   checking for Windows glut32 library
    4829 else
    4830     echo "We did not find the Linux glut Library. Checking for Windows Library"
    4831     echo "$as_me:$LINENO: checking for main in -lglut32" >&5
    4832 echo $ECHO_N "checking for main in -lglut32... $ECHO_C" >&6
    4833 if test "${ac_cv_lib_glut32_main+set}" = set; then
    4834   echo $ECHO_N "(cached) $ECHO_C" >&6
    4835 else
    4836   ac_check_lib_save_LIBS=$LIBS
    4837 LIBS="-lglut32  $LIBS"
    4838 cat >conftest.$ac_ext <<_ACEOF
    4839 /* confdefs.h.  */
    4840 _ACEOF
    4841 cat confdefs.h >>conftest.$ac_ext
    4842 cat >>conftest.$ac_ext <<_ACEOF
    4843 /* end confdefs.h.  */
    4844 
    4845 
    4846 int
    4847 main ()
    4848 {
    4849 main ();
    4850   ;
    4851   return 0;
    4852 }
    4853 _ACEOF
    4854 rm -f conftest.$ac_objext conftest$ac_exeext
    4855 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4856   (eval $ac_link) 2>conftest.er1
    4857   ac_status=$?
    4858   grep -v '^ *+' conftest.er1 >conftest.err
    4859   rm -f conftest.er1
    4860   cat conftest.err >&5
    4861   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4862   (exit $ac_status); } &&
    4863          { ac_try='test -z "$ac_c_werror_flag"
    4864                          || test ! -s conftest.err'
    4865   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4866   (eval $ac_try) 2>&5
    4867   ac_status=$?
    4868   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4869   (exit $ac_status); }; } &&
    4870          { ac_try='test -s conftest$ac_exeext'
    4871   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4872   (eval $ac_try) 2>&5
    4873   ac_status=$?
    4874   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4875   (exit $ac_status); }; }; then
    4876   ac_cv_lib_glut32_main=yes
    4877 else
    4878   echo "$as_me: failed program was:" >&5
    4879 sed 's/^/| /' conftest.$ac_ext >&5
    4880 
    4881 ac_cv_lib_glut32_main=no
    4882 fi
    4883 rm -f conftest.err conftest.$ac_objext \
    4884       conftest$ac_exeext conftest.$ac_ext
    4885 LIBS=$ac_check_lib_save_LIBS
    4886 fi
    4887 echo "$as_me:$LINENO: result: $ac_cv_lib_glut32_main" >&5
    4888 echo "${ECHO_T}$ac_cv_lib_glut32_main" >&6
    4889 if test $ac_cv_lib_glut32_main = yes; then
    4890   FOUND_glut32=yes
    4891 fi
    4892 
    4893     if test "$FOUND_glut32" = "yes" ; then
    4894         LIBS="$LIBS -lglut32"
    4895     else
    4896          echo "------------------"
    4897          echo "glut library not found."
    4898          echo "please install the glut library, which can be found at http://www.xmission.com/~nate/glut.html"
    4899          echo "------------------"
    4900          exit -1
    4901     fi
    4902 fi
    49034603
    49044604## mingw CHECK
  • orxonox/trunk/configure.ac

    r2618 r2627  
    8484AC_CHECK_LIB([Xt], [main])
    8585
    86 #  cheking for libglut32
    87 AC_CHECK_HEADERS(GL/glut.h ,,
    88       [AC_MSG_ERROR([cannot find glut headers]) ])
    89 AC_CHECK_LIB([glut], [glutInit], FOUND_glut=yes)
    90 if test "$FOUND_glut" = "yes" ; then
    91     LIBS="$LIBS -lglut"
    92     #   checking for Windows glut32 library
    93 else
    94     echo "We did not find the Linux glut Library. Checking for Windows Library"
    95     AC_CHECK_LIB([glut32], [main], FOUND_glut32=yes)
    96     if test "$FOUND_glut32" = "yes" ; then
    97         LIBS="$LIBS -lglut32"
    98     else
    99          echo "------------------"
    100          echo "glut library not found."
    101          echo "please install the glut library, which can be found at http://www.xmission.com/~nate/glut.html"
    102          echo "------------------"
    103          exit -1
    104     fi
    105 fi
    106 
    10786## mingw CHECK
    10887if test $mingw = yes ; then
Note: See TracChangeset for help on using the changeset viewer.